package com.jpmorrsn.javaFBP.test.networks;

import com.jpmorrsn.javaFBP.*;
import com.jpmorrsn.javaFBP.verbs.*;
import java.io.OutputStreamWriter;



public class Copy2 extends Network {

static final String copyright = 
"Copyright 1999, 2000, 2001, 2002, J. Paul Morrison.  At your option, you may copy, " +
"distribute, or make derivative works under the terms of the Clarified Artistic License, " +
"based on the Everything Development Company's Artistic License.  A document describing " +
"this License may be found at http://www.jpaulmorrison.com/fbp/artistic2.htm. " +
"THERE IS NO WARRANTY; USE THIS PRODUCT AT YOUR OWN RISK.";


	
	protected void define() throws Throwable {
		// component("MONITOR", Monitor.class);
		// setDebugging(); 
		
		connect(component("Generate", Generate.class),
			port("OUT"),
			component("ReplString", ReplString.class),
			port("IN"));

		connect(component("ReplString"),
			port("OUT", 0),
			component("Write", WriteText.class),
			port("IN"));
		
		initialize(new Integer(2000),
			component("Generate"),
			port("COUNT"));

			
		initialize(new OutputStreamWriter(System.out),
			component("Write"),
			port("DESTINATION"));
		
	
		}
	public static void main(String[] argv) {
		new Copy2().go();
		}
}
