package com.jpmorrsn.javaFBP.test.more_networks;

import com.jpmorrsn.javaFBP.*;
import com.jpmorrsn.javaFBP.verbs.*;
import java.io.FileReader;
import java.io.FileWriter;



public class FixGedcomFile extends Network {

static final String copyright = 
"Copyright 1999, 2000, 2001, 2002, J. Paul Morrison.  At your option, you may copy, " +
"distribute, or make derivative works under the terms of the Clarified Artistic License, " +
"based on the Everything Development Company's Artistic License.  A document describing " +
"this License may be found at http://www.jpaulmorrison.com/fbp/artistic2.htm. " +
"THERE IS NO WARRANTY; USE THIS PRODUCT AT YOUR OWN RISK.";
	
	protected void define() throws Throwable {
		
		connect(component("Read", ReadText.class),
		    port("OUT"),
		    component("Clean",RemoveBlankDeat.class),
		    port("IN"));	
		connect(component("Clean"),
			port("OUT"),
			component("Write", WriteText.class),
			port("IN"));    
		initialize(new FileReader("c:\\MyDocs\\Family trees\\barry_orig.ged"),
			component("Read"),
			port("SOURCE"));
		/*initialize(new OutputStreamWriter(System.out), */
		initialize(new FileWriter("c:\\MyDocs\\Family trees\\barrym.ged"),
			component("Write"),
			port("DESTINATION"));
		}
	public static void main(String[] argv) {
		new FixGedcomFile().go();
		}
}
