package com.jpmorrsn.javaFBP.test.networks;

import com.jpmorrsn.javaFBP.*;
import com.jpmorrsn.javaFBP.verbs.*;
import java.io.FileReader;



public class ProcXML extends Network {

static final String copyright = 
"Copyright 1999, 2000, 2001, 2002, J. Paul Morrison.  At your option, you may copy, " +
"distribute, or make derivative works under the terms of the Clarified Artistic License, " +
"based on the Everything Development Company's Artistic License.  A document describing " +
"this License may be found at http://www.jpaulmorrison.com/fbp/artistic2.htm. " +
"THERE IS NO WARRANTY; USE THIS PRODUCT AT YOUR OWN RISK.";


	
	protected void define() throws Throwable {
                
		connect(component("Read", ReadText.class),
			port("OUT"),
			component("XMLToObj", XMLToObj.class),
			port("IN"));

		connect(component("XMLToObj"),
			port("OUT"),
			component("Discard", Discard.class),
			port("IN"));    	
		
		   initialize(new FileReader("com\\jpmorrsn\\javaFBP\\test\\data\\myXML3.txt"),
			component("Read"),
			port("SOURCE")); 

		
		}
/**
 * Insert the method's description here.
 * Creation date: (1/19/00 11:33:58 AM)
 */

	public static void main(String[] argv) {
		new ProcXML().go();
		}
}
