package com.jpmorrsn.javaFBP.verbs;

import com.jpmorrsn.javaFBP.*;



/** Component to generate a single packet - mostly used for debugging.
*/

public class Kick extends Component {

static final String copyright = 
"Copyright 1999, 2000, 2001, 2002, J. Paul Morrison.  At your option, you may copy, " +
"distribute, or make derivative works under the terms of the Clarified Artistic License, " +
"based on the Everything Development Company's Artistic License.  A document describing " +
"this License may be found at http://www.jpaulmorrison.com/fbp/artistic2.htm. " +
"THERE IS NO WARRANTY; USE THIS PRODUCT AT YOUR OWN RISK.";



	OutputPort outport;


	protected void execute() throws Throwable {

		Packet p = create(" ");
		if (!(outport.send(p))) {
			p.drop();
			}


		}
	protected Object[] introspect() {
		return new Object[] {
		"provides a null Packet to start a loop",
		"OUT", "output", null,
			"packet produced"};
		}
	protected void openPorts() {
		outport = openOutput("OUT");
		}
}
