package com.jpmorrsn.javaFBP.verbs;

import com.jpmorrsn.javaFBP.*;



public class Rotate extends Component {

static final String copyright = 
"Copyright 1999, 2000, 2001, 2002, J. Paul Morrison.  At your option, you may copy, " +
"distribute, or make derivative works under the terms of the Clarified Artistic License, " +
"based on the Everything Development Company's Artistic License.  A document describing " +
"this License may be found at http://www.jpaulmorrison.com/fbp/artistic2.htm. " +
"THERE IS NO WARRANTY; USE THIS PRODUCT AT YOUR OWN RISK.";

	
	InputPort m_inPort;
	OutputPort[] m_outPortArray;
	
	protected void execute() throws Throwable {
	    
		
		
		int no = m_outPortArray.length;
		int i = 0;
					
	    Packet p;
		while ((p = m_inPort.receive()) != null) {
			
			network.GenTraceLine(getName() + " output to port " + i );
			if (!(m_outPortArray[i].send(p))) {
			   	p.drop();
			   	}
		     
			i++;
			
			i = i % no;     
			}
	}
	protected Object[] introspect() {
		return new Object[] {
		"obtains input stream at port IN and distributes them to array port OUT" +
		" depending on which output port has the smallest backlog" ,
		"IN", "input", Object.class,
			"input stream",
		"OUT", "output", Object.class,
			"multiple output streams"};
		}
	protected void openPorts() {
		
		m_inPort = openInput("IN");
		m_inPort.setType(Object.class);

		m_outPortArray = openOutputArray("OUT");
			
		}
}
